package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.MetroInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.MetroInfoMapper")
public interface MetroInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MetroInfo record);

    MetroInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MetroInfo record);

    List<MetroInfo> queryAllMetroInfo(MetroInfo record);

    List<MetroInfo> queryMetroInfoByPage(Map<String, Object> parameter);

    int delete(String id);

    MetroInfo queryMetroInfo(MetroInfo record);

    List<MetroInfo> query(MetroInfo record);
}

